/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package top.charles7c.cnadmin.common.base;

import java.time.LocalDateTime;

import lombok.Data;

import io.swagger.v3.oas.annotations.media.Schema;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonIgnore;

/**
 * 详情 VO 基类
 *
 * @author Charles7c
 * @since 2023/1/26 10:40
 */
@Data
public class BaseDetailVO extends BaseVO {

    private static final long serialVersionUID = 1L;

    /**
     * 修改人
     */
    @JsonIgnore
    private Long updateUser;

    /**
     * 修改人
     */
    @Schema(description = "修改人")
    @ExcelProperty(value = "修改人")
    private String updateUserString;

    /**
     * 修改时间
     */
    @Schema(description = "修改时间")
    @ExcelProperty(value = "修改时间")
    private LocalDateTime updateTime;
}
